%define name guile
%define ver 1.4
%define rel 6mdk
%define guilever 1.4

Summary: A GNU implementation of Scheme for application extensibility.
Name:        %{name}
Version:     %{ver}
Release:     %{rel}
Source:      ftp://ftp.gnu.org/pub/gnu/guile-%{PACKAGE_VERSION}.tar.bz2
Copyright:   GPL
Group: Development/Other
BuildRequires: gpm-devel ncurses-devel readline-devel
Buildroot:   /var/tmp/%{name}-root
Prereq:      /sbin/install-info
Requires:    umb-scheme
Provides:    libguile.so.1 libguile.so.5 libguile.so.6

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.  You'll also need to install the guile-devel
package.

%package     devel
Summary: The libraries and header files for the GUILE extensibility library.
Group: Development/C
Requires:    guile = %ver-%rel

%description devel
The guile-devel package includes the libraries, header files, etc., that
you'll need to develop applications that are linked with the GUILE
extensibility library.

You need to install the guile-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to install
the guile package.

%prep
%setup -q -n %{name}-%{guilever}

%build
libtoolize --force --copy
%configure --enable-dynamic-linking

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

pushd $RPM_BUILD_ROOT
chmod +x ./usr/lib/libguile.so.*.0.0
mkdir -p ./usr/share/guile/site ./usr/share/guile/%{guilever}/ice-9
ln -s ../../lib/umb-scheme/slib ./usr/share/guile/slib
popd
pushd $RPM_BUILD_ROOT/usr/lib
ln -s libguile.so.9 libguile.so.6
ln -s libguile.so.9 libguile.so.5
ln -s libguile.so.9 libguile.so.1
popd
for i in ice-9/*;do install -m 644 $i $RPM_BUILD_ROOT/usr/share/guile/%{guilever}/ice-9/;done

%clean
rm -rf $RPM_BUILD_ROOT

%post

/sbin/ldconfig

%postun

/sbin/ldconfig

%post devel
%_install_info data-rep.info


%preun devel
%_remove_install_info data-rep.info

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README TODO
%doc SNAPSHOTS ANON-CVS THANKS
/usr/bin/guile
/usr/lib/lib*.so.*
%dir /usr/share/guile
%dir /usr/share/guile/site
%dir /usr/share/guile/%{guilever}
/usr/share/guile/%{guilever}/ice-9
/usr/share/aclocal/*
/usr/share/guile/slib

%files devel
%defattr(-,root,root)
/usr/bin/guile-config
/usr/bin/guile-snarf
/usr/lib/lib*so
/usr/lib/lib*a
/usr/include/guile
/usr/include/libguile
/usr/include/libguile.h
%{_infodir}/data-rep*

%changelog
* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-6mdk
- ooops wrong info file name.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-5mdk
- finalized BM (Thanks Stefan).

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-4mdk
- removed menu entry.
- added a depency for guile-devel on guile with the same release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- add provides libguile.so.6

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.4-3mdk
- fix group

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- provides libguile.so.[15].

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.3.4

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added macro %%{guilever} as apckage version is 1.3.2a but
  for paths, etc. it remains 1.2.3
- corrected %files section (some libs weren't included)

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- -1.3.2a

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
